Sets the custom fields for a project template.
POSThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/setcustomfields
POST https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/setcustomfieldsSets the custom fields for a project template. The custom fields become available to tasks created from the template.
Authentication
AuthorizationBearer
Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.
Path parameters
projectTemplateIdstringRequired
format: uuidThe id of the project template.
Request body Required
The list of custom field values to set.
application/json
customFieldDefinitionIdstringRequired
format: uuidThe custom field definition id.
userIdValuestring or nullOptional
format: uuidThe user id. The user id can be set for custom field type 'user'.
clientIdValuestring or nullOptional
format: uuidThe client id. The client id can be set for custom field type 'client'.
numberValuenumber or nullOptional
format: doubleThe number value. The number value can be set for custom field type 'number'.
selectionOptionIdValuestring or nullOptional
format: uuidThe selection option id value. The id can be set for custom field types 'select' and 'coloredSelect'.
textValuestring or nullOptional
maxLength: 750 The text value. The text value can be set for custom field types 'text' and 'link'.
dateValuestring or nullOptional
format: date-timeThe date value. The date value can be set for custom field types 'date' and 'datetime'.
booleanValueboolean or nullOptional
The boolean value. The boolean value can be set for custom field type 'boolean'.